/*****************************************************************************
 * $LastChangedDate: 2010-04-15 13:45:22 -0400 (Thu, 15 Apr 2010) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Simulation conversion functions.
 * @remarks physics/conversion.hh converts between different physical units.
 *          world/conversion.hh converts between graphical coordinates.
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef WORLD_CONVERSION_HH
#define WORLD_CONVERSION_HH 1

namespace world {
namespace conv {

Meter           Sim2Meters( const fp simDistance );
fp              Meters2Sim( const Meter meter );
WorldVertex     GeoVertex2WorldVertex( const GeoVertex& gv );
GeoVertex       WorldVertex2GeoVertex( const WorldVertex& wv );
WorldVertex     SphereVertex2WorldVertex( const SphereVertex& sv );
SphereVertex    WorldVertex2SphereVertex( const WorldVertex& wv );

} // namespace conv
} // namespace world

#endif // WORLD_CONVERSION_HH
